Uploaded image for project: 'Picard'
  1. Picard
  2. PICARD-71

Make PowerPC builds of Picard for OSX again

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Low
    • Resolution: Fixed
    • Affects Version/s: 0.13, 0.14, 0.15, 0.15.1, 0.16
    • Fix Version/s: 0.16
    • Component/s: Packaging & Deployment
    • Labels:
      None

      Description

      From http://bugs.musicbrainz.org/ticket/5985

      Picard 0.15 for Mac OS X is missing a key feature, PowerPC support. Since the minimum system requirement is Mac OS X v10.4, including support for executing on PowerPC as well as Intel is generally expected (and quite welcome) for that platform.

      I'd uderstand no PPC support in a build targeting 10.6 or 10.7, but since the version of Python being used is quite compatible with 10.4 and 10.5 I don't see any reason to not include support for PowerPC.

      bitmap/Michael Wiencek notes:

      It's non-trivial to compile universal binaries for every dependency (read: ffmpeg), so there will probably never be official PPC support again. You're only the second person I know to even ask for one, which may be an indication of how many people use PPC now. :/

      I won't close this ticket because it's possible (I made one recently, but the setup was lost). I might attempt to make a PPC build again but it's very low priority.

        Attachments

          Activity

            People

            • Assignee:
              bitmap Michael Wiencek
              Reporter:
              voiceinsideyou voiceinsideyou
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Packages

                Version Package
                0.16